
Name:		fusioninventory-agent
Version:	2.1.9
Release:	%mkrel 2
Summary:	Linux agent for OCSNG
License:	GPL
Group:		System/Servers
URL:		http://fusioninventory.org/wordpress/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FU/FUSINV/FusionInventory-Agent-%{version}.tar.gz
Source1:	%{name}.init
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	perl-Net-SSLeay

%description
FusionInventory-Agent is an agent for OCS NG & GLPI.

%prep
%setup -q -n FusionInventory-Agent-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf  %{buildroot}
rm -f run-postinst
%makeinstall_std

install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily
cat > %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent <<EOF
#!/bin/sh
. /etc/sysconfig/fusioninventory-agent
%{_bindir}/fusioninventory-agent --no-ssl-check --server="\${SERVER}" > /dev/null 2>&1
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/fusioninventory-agent

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/fusioninventory-agent <<EOF
%{_localstatedir}/log/%{name}/*.log {
    compress
    notifempty
    missingok
}
EOF

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
cat > %{buildroot}%{_sysconfdir}/sysconfig/fusioninventory-agent <<EOF
SERVER="localhost"
EOF

install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/fusioninventory-agent

install -d -m 755 %{buildroot}%{_localstatedir}/log/%{name}
install -d -m 755 %{buildroot}%{_localstatedir}/lib/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes THANKS LICENSE
%{_bindir}/fusioninventory-agent
%{_bindir}/fusioninventory-agent-config
%{_bindir}/fusioninventory-injector
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/FusionInventory
%{perl_vendorlib}/auto/share/dist/FusionInventory-Agent
%{_localstatedir}/log/fusioninventory-agent
%{_localstatedir}/lib/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/sysconfig/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/logrotate.d/fusioninventory-agent
%config(noreplace) %{_sysconfdir}/cron.daily/fusioninventory-agent
%{_initrddir}/fusioninventory-agent





%changelog
* Fri Aug 26 2011 Antoine Ginies <aginies@mandriva.com> 2.1.9-2mdv2012.0
+ Revision: 697216
- adjust cron script (with -no-ssl-check and --server option)
- add requires on perl-Net-SSLeay

* Wed Jun 15 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1
+ Revision: 685287
- update to new version 2.1.9

* Mon Mar 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.8-1
+ Revision: 648671
- update to new version 2.1.8

* Mon Dec 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.7-1mdv2011.0
+ Revision: 620627
- new version

* Wed Oct 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.6-1mdv2011.0
+ Revision: 583896
- update to new version 2.1.6

* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.5-1mdv2011.0
+ Revision: 580709
- update to new version 2.1.5

* Wed Sep 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-1mdv2011.0
+ Revision: 578504
- update to new version 2.1.4

* Sun Sep 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 576169
- update to new version 2.1.3

* Mon Aug 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2011.0
+ Revision: 572506
- update to new version 2.1.2

* Wed Aug 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2011.0
+ Revision: 571246
- new version

* Sun Aug 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdv2011.0
+ Revision: 570260
- new version

* Thu Aug 05 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.2mdv2011.0
+ Revision: 566248
- add data storage directory

* Mon Jul 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc3.1mdv2011.0
+ Revision: 560889
- new pre-version

* Sat Jul 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-0.rc2.1mdv2011.0
+ Revision: 554587
- new version
- patch2: don't run fdisk on cdrom devices
- new version
- port some patches from ocs-agent

* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 540674
- import fusioninventory-agent


* Thu Apr 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.3-1mdv2010.1
- initial mdv release
